package domain


type AlibabaWdkStockPublishStockPublishDto struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        更新数量，矢量     */
    Quantity  *string `json:"quantity,omitempty" `

    /*
        订单号（商品粒度操作单）     */
    OrderNo  *string `json:"order_no,omitempty" `

    /*
        订单类型，参见订单类型约束     */
    OrderType  *string `json:"order_type,omitempty" `

    /*
        订单描述     */
    OrderDesc  *string `json:"order_desc,omitempty" `

}

func (s *AlibabaWdkStockPublishStockPublishDto) SetSkuCode(v string) *AlibabaWdkStockPublishStockPublishDto {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkStockPublishStockPublishDto) SetQuantity(v string) *AlibabaWdkStockPublishStockPublishDto {
    s.Quantity = &v
    return s
}
func (s *AlibabaWdkStockPublishStockPublishDto) SetOrderNo(v string) *AlibabaWdkStockPublishStockPublishDto {
    s.OrderNo = &v
    return s
}
func (s *AlibabaWdkStockPublishStockPublishDto) SetOrderType(v string) *AlibabaWdkStockPublishStockPublishDto {
    s.OrderType = &v
    return s
}
func (s *AlibabaWdkStockPublishStockPublishDto) SetOrderDesc(v string) *AlibabaWdkStockPublishStockPublishDto {
    s.OrderDesc = &v
    return s
}
